package com.ffii.lioner.modules.lioner.client.entity;

import java.time.LocalDate;
import java.util.HashMap;
import java.util.Map;

import org.hibernate.annotations.JdbcTypeCode;
import org.hibernate.type.SqlTypes;

import com.ffii.core.entity.BaseEntity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Inheritance;
import jakarta.persistence.InheritanceType;
import jakarta.persistence.Table;
import jakarta.validation.constraints.NotBlank;

/** @author Jason Lam */
@Entity
@Table(name = "client")
@Inheritance(strategy=InheritanceType.TABLE_PER_CLASS)
public class Client extends BaseEntity<Long>{

    @Column(columnDefinition = "json")
    @JdbcTypeCode(SqlTypes.JSON)
    private Map<String, String> others = new HashMap<>();


    @Column
	private String fullname;
    
    @NotBlank
    @Column
	private String clientCode;
    
    @NotBlank
    @Column
	private String lastname;

    @Column
	private String firstname;
   
    @Column
	private String title;

    @Column
	private String email;
    
    @Column
	private String phone1Code;

    @Column
	private String phone1;
    
    @Column
	private String phone2;
    
    @Column
	private String remarks;
    
    @Column
	private LocalDate dob;

    @Column
	private Integer consultantId;

    @Column
	private String crAddressRoom;

    @Column
	private String crAddressFloor;

    @Column
	private String crAddressBlock;

    @Column
	private String crAddressBuilding;

    @Column
	private String crAddressStreet;

    @Column
	private String crAddressArea;

    @Column
	private String crAddressCity;

    @Column
	private String crAddressCountry;

    @Column
	private String crAddressPostalCode;

     @Column
	private String corAddressRoom;

    @Column
	private String corAddressFloor;

    @Column
	private String corAddressBlock;

    @Column
	private String corAddressBuilding;

    @Column
	private String corAddressStreet;

    @Column
	private String corAddressArea;

    @Column
	private String corAddressCity;

    @Column
	private String corAddressCountry;

    @Column
	private String corAddressPostalCode;

    
    
    @Column
    private String salaryCurrent;

    @Column
    private String salaryLast;

    @Column
    private String bonusCurrent;

    @Column
    private String bonusLast;

    @Column
    private String otherEarnedCurrent;

    @Column
    private String otherEarnedLast;

    @Column
    private String companyInterestCurrent;

    @Column
    private String companyInterestLast;

    @Column
    private String dividendsCurrent;

    @Column
    private String dividendsLast;

    @Column
    private String rentalsCurrent;

    @Column
    private String rentalsLast;

    @Column
    private String investmentIncomeCurrent;

    @Column
    private String investmentIncomeLast;

    @Column
    private String otherUnearnedCurrent;

    @Column
    private String otherUnearnedLast;

    @Column
    private String mortgageCurrent;

    @Column
    private String mortgageLast;

    @Column
    private String rentCurrent;

    @Column
    private String rentLast;

    @Column
    private String schoolingCurrent;

    @Column
    private String schoolingLast;

    @Column
    private String membershipsCurrent;

    @Column
    private String membershipsLast;

    @Column
    private String otherExpenditureCurrent;

    @Column
    private String otherExpenditureLast;

    @Column
    private String cashDepositsCurrent;

    @Column
    private String cashDepositsLast;

    @Column
    private String investmentsCurrent;

    @Column
    private String investmentsLast;

    @Column
    private String otherLiquidCurrent;

    @Column
    private String otherLiquidLast;

    @Column
    private String netBusinessInterestCurrent;

    @Column
    private String netBusinessInterestLast;

    @Column
    private String realEstateCurrent;

    @Column
    private String realEstateLast;

    @Column
    private String personalPropertiesCurrent;

    @Column
    private String personalPropertiesLast;

    @Column
    private String otherNonLiquidCurrent;

    @Column
    private String otherNonLiquidLast;

    @Column
    private String personalLoansCurrent;

    @Column
    private String personalLoansLast;

    @Column
    private String mortgagesCurrent;

    @Column
    private String mortgagesLast;

    @Column
    private String marginAccountCurrent;

    @Column
    private String marginAccountLast;

    @Column
    private String loanGuaranteesCurrent;

    @Column
    private String loanGuaranteesLast;

    @Column
    private String bankingFacilityCurrent;

    @Column
    private String bankingFacilityLast;

    @Column
    private String prefFinancePrincipalCurrent;

    @Column
    private String prefFinancePrincipalLast;

    @Column
    private String prefFinanceOtherCurrent;

    @Column
    private String prefFinanceOtherLast;

    @Column
    private String interestCurrent;

    @Column
    private String interestLast;

    @Column
    private String principalCurrent;

    @Column
    private String principalLast;

    @Column
    private String otherPrefFinanceCurrent;

    @Column
    private String otherPrefFinanceLast;

    @Column
    private String totalEarnedCurrent;

    @Column
    private String totalEarnedLast;

    @Column
    private String totalUnearnedCurrent;

    @Column
    private String totalUnearnedLast;

    @Column
    private String totalIncomeCurrent;

    @Column
    private String totalIncomeLast;

    @Column
    private String totalExpenditureCurrent;

    @Column
    private String totalExpenditureLast;

    @Column
    private String totalLiquidAssetCurrent;

    @Column
    private String totalLiquidAssetLast;

    @Column
    private String totalNonLiquidAssetCurrent;

    @Column
    private String totalNonLiquidAssetLast;

    @Column
    private String totalAssetsCurrent;

    @Column
    private String totalAssetsLast;

    @Column
    private String totalLiabilitiesCurrent;

    @Column
    private String totalLiabilitiesLast;

    @Column
    private String totalFinalExpenditureCurrent;

    @Column
    private String totalFinalExpenditureLast;
    
    public String getClientCode() {
        return clientCode;
    }

    public void setClientCode(String clientCode) {
        this.clientCode = clientCode;
    }
    
    public String getFullname() {
        return fullname;
    }

    public void setFullname(String fullname) {
        this.fullname = fullname;
    }

    public String getLastname() {
        return lastname;
    }

    public void setLastname(String lastname) {
        this.lastname = lastname;
    }

    public String getFirstname() {
        return firstname;
    }

    public void setFirstname(String firstname) {
        this.firstname = firstname;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPhone1() {
        return phone1;
    }

    public void setPhone1(String phone1) {
        this.phone1 = phone1;
    }

    public String getPhone2() {
        return phone2;
    }

    public void setPhone2(String phone2) {
        this.phone2 = phone2;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public LocalDate getDob() {
        return dob;
    }

    public void setDob(LocalDate dob) {
        this.dob = dob;
    }

    public Integer getConsultantId() {
        return consultantId;
    }

    public void setConsultantId(Integer consultantId) {
        this.consultantId = consultantId;
    }

    public String getCrAddressRoom() {
        return crAddressRoom;
    }

    public void setCrAddressRoom(String crAddressRoom) {
        this.crAddressRoom = crAddressRoom;
    }

    public String getCrAddressFloor() {
        return crAddressFloor;
    }

    public void setCrAddressFloor(String crAddressFloor) {
        this.crAddressFloor = crAddressFloor;
    }

    public String getCrAddressBlock() {
        return crAddressBlock;
    }

    public void setCrAddressBlock(String crAddressBlock) {
        this.crAddressBlock = crAddressBlock;
    }

    public String getCrAddressBuilding() {
        return crAddressBuilding;
    }

    public void setCrAddressBuilding(String crAddressBuilding) {
        this.crAddressBuilding = crAddressBuilding;
    }

    public String getCrAddressStreet() {
        return crAddressStreet;
    }

    public void setCrAddressStreet(String crAddressStreet) {
        this.crAddressStreet = crAddressStreet;
    }

    public String getCrAddressArea() {
        return crAddressArea;
    }

    public void setCrAddressArea(String crAddressArea) {
        this.crAddressArea = crAddressArea;
    }

    public String getCrAddressCity() {
        return crAddressCity;
    }

    public void setCrAddressCity(String crAddressCity) {
        this.crAddressCity = crAddressCity;
    }

    public String getCrAddressCountry() {
        return crAddressCountry;
    }

    public void setCrAddressCountry(String crAddressCountry) {
        this.crAddressCountry = crAddressCountry;
    }

    public String getCrAddressPostalCode() {
        return crAddressPostalCode;
    }

    public void setCrAddressPostalCode(String crAddressPostalCode) {
        this.crAddressPostalCode = crAddressPostalCode;
    }

    public Map<String, String> getOthers() {
        return others;
    }

    public void setOthers(Map<String, String> others) {
        this.others = others;
    }

    public String getSalaryCurrent() {
        return salaryCurrent;
    }

    public void setSalaryCurrent(String salaryCurrent) {
        this.salaryCurrent = salaryCurrent;
    }

    public String getSalaryLast() {
        return salaryLast;
    }

    public void setSalaryLast(String salaryLast) {
        this.salaryLast = salaryLast;
    }

    public String getBonusCurrent() {
        return bonusCurrent;
    }

    public void setBonusCurrent(String bonusCurrent) {
        this.bonusCurrent = bonusCurrent;
    }

    public String getBonusLast() {
        return bonusLast;
    }

    public void setBonusLast(String bonusLast) {
        this.bonusLast = bonusLast;
    }

    public String getTotalEarnedCurrent() {
        return totalEarnedCurrent;
    }

    public void setTotalEarnedCurrent(String totalEarnedCurrent) {
        this.totalEarnedCurrent = totalEarnedCurrent;
    }

    public String getTotalEarnedLast() {
        return totalEarnedLast;
    }

    public void setTotalEarnedLast(String totalEarnedLast) {
        this.totalEarnedLast = totalEarnedLast;
    }

    public String getOtherEarnedCurrent() {
        return otherEarnedCurrent;
    }

    public void setOtherEarnedCurrent(String otherEarnedCurrent) {
        this.otherEarnedCurrent = otherEarnedCurrent;
    }

    public String getOtherEarnedLast() {
        return otherEarnedLast;
    }

    public void setOtherEarnedLast(String otherEarnedLast) {
        this.otherEarnedLast = otherEarnedLast;
    }

    public String getCompanyInterestCurrent() {
        return companyInterestCurrent;
    }

    public void setCompanyInterestCurrent(String companyInterestCurrent) {
        this.companyInterestCurrent = companyInterestCurrent;
    }

    public String getCompanyInterestLast() {
        return companyInterestLast;
    }

    public void setCompanyInterestLast(String companyInterestLast) {
        this.companyInterestLast = companyInterestLast;
    }

    public String getDividendsCurrent() {
        return dividendsCurrent;
    }

    public void setDividendsCurrent(String dividendsCurrent) {
        this.dividendsCurrent = dividendsCurrent;
    }

    public String getDividendsLast() {
        return dividendsLast;
    }

    public void setDividendsLast(String dividendsLast) {
        this.dividendsLast = dividendsLast;
    }

    public String getRentalsCurrent() {
        return rentalsCurrent;
    }

    public void setRentalsCurrent(String rentalsCurrent) {
        this.rentalsCurrent = rentalsCurrent;
    }

    public String getRentalsLast() {
        return rentalsLast;
    }

    public void setRentalsLast(String rentalsLast) {
        this.rentalsLast = rentalsLast;
    }

    public String getInvestmentIncomeCurrent() {
        return investmentIncomeCurrent;
    }

    public void setInvestmentIncomeCurrent(String investmentIncomeCurrent) {
        this.investmentIncomeCurrent = investmentIncomeCurrent;
    }

    public String getInvestmentIncomeLast() {
        return investmentIncomeLast;
    }

    public void setInvestmentIncomeLast(String investmentIncomeLast) {
        this.investmentIncomeLast = investmentIncomeLast;
    }

    public String getOtherUnearnedCurrent() {
        return otherUnearnedCurrent;
    }

    public void setOtherUnearnedCurrent(String otherUnearnedCurrent) {
        this.otherUnearnedCurrent = otherUnearnedCurrent;
    }

    public String getOtherUnearnedLast() {
        return otherUnearnedLast;
    }

    public void setOtherUnearnedLast(String otherUnearnedLast) {
        this.otherUnearnedLast = otherUnearnedLast;
    }

    public String getMortgageCurrent() {
        return mortgageCurrent;
    }

    public void setMortgageCurrent(String mortgageCurrent) {
        this.mortgageCurrent = mortgageCurrent;
    }

    public String getMortgageLast() {
        return mortgageLast;
    }

    public void setMortgageLast(String mortgageLast) {
        this.mortgageLast = mortgageLast;
    }

    public String getRentCurrent() {
        return rentCurrent;
    }

    public void setRentCurrent(String rentCurrent) {
        this.rentCurrent = rentCurrent;
    }

    public String getRentLast() {
        return rentLast;
    }

    public void setRentLast(String rentLast) {
        this.rentLast = rentLast;
    }

    public String getSchoolingCurrent() {
        return schoolingCurrent;
    }

    public void setSchoolingCurrent(String schoolingCurrent) {
        this.schoolingCurrent = schoolingCurrent;
    }

    public String getSchoolingLast() {
        return schoolingLast;
    }

    public void setSchoolingLast(String schoolingLast) {
        this.schoolingLast = schoolingLast;
    }

    public String getMembershipsCurrent() {
        return membershipsCurrent;
    }

    public void setMembershipsCurrent(String membershipsCurrent) {
        this.membershipsCurrent = membershipsCurrent;
    }

    public String getMembershipsLast() {
        return membershipsLast;
    }

    public void setMembershipsLast(String membershipsLast) {
        this.membershipsLast = membershipsLast;
    }

    public String getOtherExpenditureCurrent() {
        return otherExpenditureCurrent;
    }

    public void setOtherExpenditureCurrent(String otherExpenditureCurrent) {
        this.otherExpenditureCurrent = otherExpenditureCurrent;
    }

    public String getOtherExpenditureLast() {
        return otherExpenditureLast;
    }

    public void setOtherExpenditureLast(String otherExpenditureLast) {
        this.otherExpenditureLast = otherExpenditureLast;
    }

    public String getCashDepositsCurrent() {
        return cashDepositsCurrent;
    }

    public void setCashDepositsCurrent(String cashDepositsCurrent) {
        this.cashDepositsCurrent = cashDepositsCurrent;
    }

    public String getCashDepositsLast() {
        return cashDepositsLast;
    }

    public void setCashDepositsLast(String cashDepositsLast) {
        this.cashDepositsLast = cashDepositsLast;
    }

    public String getInvestmentsCurrent() {
        return investmentsCurrent;
    }

    public void setInvestmentsCurrent(String investmentsCurrent) {
        this.investmentsCurrent = investmentsCurrent;
    }

    public String getInvestmentsLast() {
        return investmentsLast;
    }

    public void setInvestmentsLast(String investmentsLast) {
        this.investmentsLast = investmentsLast;
    }

    public String getOtherLiquidCurrent() {
        return otherLiquidCurrent;
    }

    public void setOtherLiquidCurrent(String otherLiquidCurrent) {
        this.otherLiquidCurrent = otherLiquidCurrent;
    }

    public String getOtherLiquidLast() {
        return otherLiquidLast;
    }

    public void setOtherLiquidLast(String otherLiquidLast) {
        this.otherLiquidLast = otherLiquidLast;
    }

    public String getNetBusinessInterestCurrent() {
        return netBusinessInterestCurrent;
    }

    public void setNetBusinessInterestCurrent(String netBusinessInterestCurrent) {
        this.netBusinessInterestCurrent = netBusinessInterestCurrent;
    }

    public String getNetBusinessInterestLast() {
        return netBusinessInterestLast;
    }

    public void setNetBusinessInterestLast(String netBusinessInterestLast) {
        this.netBusinessInterestLast = netBusinessInterestLast;
    }
    
    public String getPersonalPropertiesCurrent() {
        return personalPropertiesCurrent;
    }

    public void setPersonalPropertiesCurrent(String personalPropertiesCurrent) {
        this.personalPropertiesCurrent = personalPropertiesCurrent;
    }

    public String getPersonalPropertiesLast() {
        return personalPropertiesLast;
    }

    public void setPersonalPropertiesLast(String personalPropertiesLast) {
        this.personalPropertiesLast = personalPropertiesLast;
    }

    public String getOtherNonLiquidCurrent() {
        return otherNonLiquidCurrent;
    }

    public void setOtherNonLiquidCurrent(String otherNonLiquidCurrent) {
        this.otherNonLiquidCurrent = otherNonLiquidCurrent;
    }

    public String getOtherNonLiquidLast() {
        return otherNonLiquidLast;
    }

    public void setOtherNonLiquidLast(String otherNonLiquidLast) {
        this.otherNonLiquidLast = otherNonLiquidLast;
    }

    public String getPersonalLoansCurrent() {
        return personalLoansCurrent;
    }

    public void setPersonalLoansCurrent(String personalLoansCurrent) {
        this.personalLoansCurrent = personalLoansCurrent;
    }

    public String getPersonalLoansLast() {
        return personalLoansLast;
    }

    public void setPersonalLoansLast(String personalLoansLast) {
        this.personalLoansLast = personalLoansLast;
    }

    public String getMortgagesCurrent() {
        return mortgagesCurrent;
    }

    public void setMortgagesCurrent(String mortgagesCurrent) {
        this.mortgagesCurrent = mortgagesCurrent;
    }

    public String getMortgagesLast() {
        return mortgagesLast;
    }

    public void setMortgagesLast(String mortgagesLast) {
        this.mortgagesLast = mortgagesLast;
    }

    public String getMarginAccountCurrent() {
        return marginAccountCurrent;
    }

    public void setMarginAccountCurrent(String marginAccountCurrent) {
        this.marginAccountCurrent = marginAccountCurrent;
    }

    public String getMarginAccountLast() {
        return marginAccountLast;
    }

    public void setMarginAccountLast(String marginAccountLast) {
        this.marginAccountLast = marginAccountLast;
    }

    public String getLoanGuaranteesCurrent() {
        return loanGuaranteesCurrent;
    }

    public void setLoanGuaranteesCurrent(String loanGuaranteesCurrent) {
        this.loanGuaranteesCurrent = loanGuaranteesCurrent;
    }

    public String getLoanGuaranteesLast() {
        return loanGuaranteesLast;
    }

    public void setLoanGuaranteesLast(String loanGuaranteesLast) {
        this.loanGuaranteesLast = loanGuaranteesLast;
    }

    public String getBankingFacilityCurrent() {
        return bankingFacilityCurrent;
    }

    public void setBankingFacilityCurrent(String bankingFacilityCurrent) {
        this.bankingFacilityCurrent = bankingFacilityCurrent;
    }

    public String getBankingFacilityLast() {
        return bankingFacilityLast;
    }

    public void setBankingFacilityLast(String bankingFacilityLast) {
        this.bankingFacilityLast = bankingFacilityLast;
    }

    public String getPrefFinancePrincipalCurrent() {
        return prefFinancePrincipalCurrent;
    }

    public void setPrefFinancePrincipalCurrent(String prefFinancePrincipalCurrent) {
        this.prefFinancePrincipalCurrent = prefFinancePrincipalCurrent;
    }

    public String getPrefFinancePrincipalLast() {
        return prefFinancePrincipalLast;
    }

    public void setPrefFinancePrincipalLast(String prefFinancePrincipalLast) {
        this.prefFinancePrincipalLast = prefFinancePrincipalLast;
    }

    public String getPrefFinanceOtherCurrent() {
        return prefFinanceOtherCurrent;
    }

    public void setPrefFinanceOtherCurrent(String prefFinanceOtherCurrent) {
        this.prefFinanceOtherCurrent = prefFinanceOtherCurrent;
    }

    public String getPrefFinanceOtherLast() {
        return prefFinanceOtherLast;
    }

    public void setPrefFinanceOtherLast(String prefFinanceOtherLast) {
        this.prefFinanceOtherLast = prefFinanceOtherLast;
    }

    public String getInterestCurrent() {
        return interestCurrent;
    }

    public void setInterestCurrent(String interestCurrent) {
        this.interestCurrent = interestCurrent;
    }

    public String getInterestLast() {
        return interestLast;
    }

    public void setInterestLast(String interestLast) {
        this.interestLast = interestLast;
    }

    public String getPrincipalCurrent() {
        return principalCurrent;
    }

    public void setPrincipalCurrent(String principalCurrent) {
        this.principalCurrent = principalCurrent;
    }

    public String getPrincipalLast() {
        return principalLast;
    }

    public void setPrincipalLast(String principalLast) {
        this.principalLast = principalLast;
    }

    public String getOtherPrefFinanceCurrent() {
        return otherPrefFinanceCurrent;
    }

    public void setOtherPrefFinanceCurrent(String otherPrefFinanceCurrent) {
        this.otherPrefFinanceCurrent = otherPrefFinanceCurrent;
    }

    public String getOtherPrefFinanceLast() {
        return otherPrefFinanceLast;
    }

    public void setOtherPrefFinanceLast(String otherPrefFinanceLast) {
        this.otherPrefFinanceLast = otherPrefFinanceLast;
    }

    public String getTotalUnearnedCurrent() {
        return totalUnearnedCurrent;
    }

    public void setTotalUnearnedCurrent(String totalUnearnedCurrent) {
        this.totalUnearnedCurrent = totalUnearnedCurrent;
    }

    public String getTotalUnearnedLast() {
        return totalUnearnedLast;
    }

    public void setTotalUnearnedLast(String totalUnearnedLast) {
        this.totalUnearnedLast = totalUnearnedLast;
    }

    public String getTotalIncomeCurrent() {
        return totalIncomeCurrent;
    }

    public void setTotalIncomeCurrent(String totalIncomeCurrent) {
        this.totalIncomeCurrent = totalIncomeCurrent;
    }

    public String getTotalIncomeLast() {
        return totalIncomeLast;
    }

    public void setTotalIncomeLast(String totalIncomeLast) {
        this.totalIncomeLast = totalIncomeLast;
    }

    public String getTotalExpenditureCurrent() {
        return totalExpenditureCurrent;
    }

    public void setTotalExpenditureCurrent(String totalExpenditureCurrent) {
        this.totalExpenditureCurrent = totalExpenditureCurrent;
    }

    public String getTotalExpenditureLast() {
        return totalExpenditureLast;
    }

    public void setTotalExpenditureLast(String totalExpenditureLast) {
        this.totalExpenditureLast = totalExpenditureLast;
    }

    public String getTotalLiquidAssetCurrent() {
        return totalLiquidAssetCurrent;
    }

    public void setTotalLiquidAssetCurrent(String totalLiquidAssetCurrent) {
        this.totalLiquidAssetCurrent = totalLiquidAssetCurrent;
    }

    public String getTotalLiquidAssetLast() {
        return totalLiquidAssetLast;
    }

    public void setTotalLiquidAssetLast(String totalLiquidAssetLast) {
        this.totalLiquidAssetLast = totalLiquidAssetLast;
    }

    public String getTotalNonLiquidAssetCurrent() {
        return totalNonLiquidAssetCurrent;
    }

    public void setTotalNonLiquidAssetCurrent(String totalNonLiquidAssetCurrent) {
        this.totalNonLiquidAssetCurrent = totalNonLiquidAssetCurrent;
    }

    public String getTotalNonLiquidAssetLast() {
        return totalNonLiquidAssetLast;
    }

    public void setTotalNonLiquidAssetLast(String totalNonLiquidAssetLast) {
        this.totalNonLiquidAssetLast = totalNonLiquidAssetLast;
    }

    public String getTotalAssetsCurrent() {
        return totalAssetsCurrent;
    }

    public void setTotalAssetsCurrent(String totalAssetsCurrent) {
        this.totalAssetsCurrent = totalAssetsCurrent;
    }

    public String getTotalAssetsLast() {
        return totalAssetsLast;
    }

    public void setTotalAssetsLast(String totalAssetsLast) {
        this.totalAssetsLast = totalAssetsLast;
    }

    public String getTotalLiabilitiesCurrent() {
        return totalLiabilitiesCurrent;
    }

    public void setTotalLiabilitiesCurrent(String totalLiabilitiesCurrent) {
        this.totalLiabilitiesCurrent = totalLiabilitiesCurrent;
    }

    public String getTotalLiabilitiesLast() {
        return totalLiabilitiesLast;
    }

    public void setTotalLiabilitiesLast(String totalLiabilitiesLast) {
        this.totalLiabilitiesLast = totalLiabilitiesLast;
    }

    public String getTotalFinalExpenditureCurrent() {
        return totalFinalExpenditureCurrent;
    }

    public void setTotalFinalExpenditureCurrent(String totalFinalExpenditureCurrent) {
        this.totalFinalExpenditureCurrent = totalFinalExpenditureCurrent;
    }

    public String getTotalFinalExpenditureLast() {
        return totalFinalExpenditureLast;
    }

    public void setTotalFinalExpenditureLast(String totalFinalExpenditureLast) {
        this.totalFinalExpenditureLast = totalFinalExpenditureLast;
    }

    public String getCorAddressRoom() {
        return corAddressRoom;
    }

    public void setCorAddressRoom(String corAddressRoom) {
        this.corAddressRoom = corAddressRoom;
    }

    public String getCorAddressFloor() {
        return corAddressFloor;
    }

    public void setCorAddressFloor(String corAddressFloor) {
        this.corAddressFloor = corAddressFloor;
    }

    public String getCorAddressBlock() {
        return corAddressBlock;
    }

    public void setCorAddressBlock(String corAddressBlock) {
        this.corAddressBlock = corAddressBlock;
    }

    public String getCorAddressBuilding() {
        return corAddressBuilding;
    }

    public void setCorAddressBuilding(String corAddressBuilding) {
        this.corAddressBuilding = corAddressBuilding;
    }

    public String getCorAddressStreet() {
        return corAddressStreet;
    }

    public void setCorAddressStreet(String corAddressStreet) {
        this.corAddressStreet = corAddressStreet;
    }

    public String getCorAddressArea() {
        return corAddressArea;
    }

    public void setCorAddressArea(String corAddressArea) {
        this.corAddressArea = corAddressArea;
    }

    public String getCorAddressCity() {
        return corAddressCity;
    }

    public void setCorAddressCity(String corAddressCity) {
        this.corAddressCity = corAddressCity;
    }

    public String getCorAddressCountry() {
        return corAddressCountry;
    }

    public void setCorAddressCountry(String corAddressCountry) {
        this.corAddressCountry = corAddressCountry;
    }

    public String getCorAddressPostalCode() {
        return corAddressPostalCode;
    }

    public void setCorAddressPostalCode(String corAddressPostalCode) {
        this.corAddressPostalCode = corAddressPostalCode;
    }

    public String getPhone1Code() {
        return phone1Code;
    }
    
    public void setPhone1Code(String phone1Code) {
        this.phone1Code = phone1Code;
    }

    public String getRealEstateCurrent() {
        return realEstateCurrent;
    }

    public void setRealEstateCurrent(String realEstateCurrent) {
        this.realEstateCurrent = realEstateCurrent;
    }

    public String getRealEstateLast() {
        return realEstateLast;
    }

    public void setRealEstateLast(String realEstateLast) {
        this.realEstateLast = realEstateLast;
    }
}

